OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_SeqNodeOfHSequenceOfPnt Class Reference

`#include <PColgp_SeqNodeOfHSequenceOfPnt.hxx>`

Inheritance diagram for PColgp_SeqNodeOfHSequenceOfPnt:

[legend]

## Public Member Functions
Standard_EXPORT | PColgp_SeqNodeOfHSequenceOfPnt (const Handle(PColgp_SeqNodeOfHSequenceOfPnt)&TheLast, const gp_Pnt &TheItem)
Standard_EXPORT | PColgp_SeqNodeOfHSequenceOfPnt (const gp_Pnt &TheItem, const Handle(PColgp_SeqNodeOfHSequenceOfPnt)&TheFirst)
Standard_EXPORT | PColgp_SeqNodeOfHSequenceOfPnt (const Handle(PColgp_SeqNodeOfHSequenceOfPnt)&ThePrevious, const Handle(PColgp_SeqNodeOfHSequenceOfPnt)&TheNext, const gp_Pnt &TheItem)
Standard_EXPORT gp_Pnt | Value () const
Standard_EXPORT Handle_PColgp_SeqNodeOfHSequenceOfPnt | Next () const
Standard_EXPORT Handle_PColgp_SeqNodeOfHSequenceOfPnt | Previous () const
Standard_EXPORT void | SetValue (const gp_Pnt &AnItem)
Standard_EXPORT void | SetNext (const Handle(PColgp_SeqNodeOfHSequenceOfPnt)&ANode)
Standard_EXPORT void | SetPrevious (const Handle(PColgp_SeqNodeOfHSequenceOfPnt)&ANode)
| PColgp_SeqNodeOfHSequenceOfPnt ()
| PColgp_SeqNodeOfHSequenceOfPnt (const Storage_stCONSTclCOM &a)
| Handle (PColgp_SeqNodeOfHSequenceOfPnt) _CSFDB_GetPColgp_SeqNodeOfHSequenceOfPntMyPrevious() const
void | _CSFDB_SetPColgp_SeqNodeOfHSequenceOfPntMyPrevious (const Handle(PColgp_SeqNodeOfHSequenceOfPnt)&p)
const gp_Pnt & | _CSFDB_GetPColgp_SeqNodeOfHSequenceOfPntMyItem () const
| Handle (PColgp_SeqNodeOfHSequenceOfPnt) _CSFDB_GetPColgp_SeqNodeOfHSequenceOfPntMyNext() const
void | _CSFDB_SetPColgp_SeqNodeOfHSequenceOfPntMyNext (const Handle(PColgp_SeqNodeOfHSequenceOfPnt)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PColgp_SeqNodeOfHSequenceOfPnt | MyPrevious
gp_Pnt | MyItem
Handle_PColgp_SeqNodeOfHSequenceOfPnt | MyNext

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_SeqNodeOfHSequenceOfPnt::PColgp_SeqNodeOfHSequenceOfPnt | ( | const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& | TheLast,
|  | const gp_Pnt & | TheItem
| ) |

Standard_EXPORT PColgp_SeqNodeOfHSequenceOfPnt::PColgp_SeqNodeOfHSequenceOfPnt | ( | const gp_Pnt & | TheItem,
|  | const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& | TheFirst
| ) |

Standard_EXPORT PColgp_SeqNodeOfHSequenceOfPnt::PColgp_SeqNodeOfHSequenceOfPnt | ( | const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& | ThePrevious,
|  | const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& | TheNext,
|  | const gp_Pnt & | TheItem
| ) |

PColgp_SeqNodeOfHSequenceOfPnt::PColgp_SeqNodeOfHSequenceOfPnt | ( |  | ) | `[inline]`

PColgp_SeqNodeOfHSequenceOfPnt::PColgp_SeqNodeOfHSequenceOfPnt | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Pnt& PColgp_SeqNodeOfHSequenceOfPnt::_CSFDB_GetPColgp_SeqNodeOfHSequenceOfPntMyItem | ( |  | ) | const`[inline]`

void PColgp_SeqNodeOfHSequenceOfPnt::_CSFDB_SetPColgp_SeqNodeOfHSequenceOfPntMyNext | ( | const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& | p | ) | `[inline]`

void PColgp_SeqNodeOfHSequenceOfPnt::_CSFDB_SetPColgp_SeqNodeOfHSequenceOfPntMyPrevious | ( | const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& | p | ) | `[inline]`

Standard_EXPORT const PColgp_SeqNodeOfHSequenceOfPnt::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColgp_SeqNodeOfHSequenceOfPnt::Handle | ( | PColgp_SeqNodeOfHSequenceOfPnt |  | ) | const`[inline]`

PColgp_SeqNodeOfHSequenceOfPnt::Handle | ( | PColgp_SeqNodeOfHSequenceOfPnt |  | ) | const`[inline]`

Standard_EXPORT Handle_PColgp_SeqNodeOfHSequenceOfPnt PColgp_SeqNodeOfHSequenceOfPnt::Next | ( |  | ) | const

Standard_EXPORT Handle_PColgp_SeqNodeOfHSequenceOfPnt PColgp_SeqNodeOfHSequenceOfPnt::Previous | ( |  | ) | const

Standard_EXPORT void PColgp_SeqNodeOfHSequenceOfPnt::SetNext | ( | const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& | ANode | ) |

Standard_EXPORT void PColgp_SeqNodeOfHSequenceOfPnt::SetPrevious | ( | const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& | ANode | ) |

Standard_EXPORT void PColgp_SeqNodeOfHSequenceOfPnt::SetValue | ( | const gp_Pnt & | AnItem | ) |

Standard_EXPORT gp_Pnt PColgp_SeqNodeOfHSequenceOfPnt::Value | ( |  | ) | const

## Field Documentation

gp_Pnt PColgp_SeqNodeOfHSequenceOfPnt::MyItem`[private]`

Handle_PColgp_SeqNodeOfHSequenceOfPnt PColgp_SeqNodeOfHSequenceOfPnt::MyNext`[private]`

Handle_PColgp_SeqNodeOfHSequenceOfPnt PColgp_SeqNodeOfHSequenceOfPnt::MyPrevious`[private]`

The documentation for this class was generated from the following file:

- PColgp_SeqNodeOfHSequenceOfPnt.hxx